namespace LauncherIcarus.Model
{
    public class MainViewModel : ViewModelBase
    {
        private bool _isUpdating;
        private bool _isChecking;
        private bool _isLogged;
        private int _version;
        private string _lang;

        public bool IsUpdating
        {
            get => _isUpdating;
            set => SetProperty(ref _isUpdating, value);
        }

        public bool IsChecking
        {
            get => _isChecking;
            set => SetProperty(ref _isChecking, value);
        }

        public bool IsLogged
        {
            get => _isLogged;
            set => SetProperty(ref _isLogged, value);
        }

        public int Version
        {
            get => _version;
            set => SetProperty(ref _version, value);
        }

        public string Lang
        {
            get => _lang;
            set => SetProperty(ref _lang, value);
        }
    }
}